Main Page Modules Data Structures File List Data Fields Globals Related Pages

# hmacsha1Param Struct Reference
[Keyed Hash Functions: HMAC-SHA-1]

`#include <hmacsha1.h>`

## Data Fields
hmacParam | hparam
sha1Param | sparam

## Field Documentation

hmacParam hmacsha1Param::hparam

| Definition at line 38 of file hmacsha1.h. Referenced by hmacsha1Digest, hmacsha1Reset, hmacsha1Setup, and hmacsha1Update.

sha1Param hmacsha1Param::sparam

| Definition at line 39 of file hmacsha1.h. Referenced by hmacsha1Digest, hmacsha1Reset, hmacsha1Setup, and hmacsha1Update.

The documentation for this struct was generated from the following file:

- beecrypt/hmacsha1.h